// define the languages available for the app

var languageOptionFull = {
    bg : 'Bulgarian',
	ca : 'Catalan',
	cs : 'Czech',
	'zh-CN' : 'Chinese (Simplified)',
	'zh-TW' : 'Chinese (Traditional)',
	da : 'Danish',
	de : 'German',
	el : 'Greek',
	en : 'English',
	fi : 'Finnish',
	fr : 'French',
	iw : 'Hebrew',
	hi : 'Hindi',
	hr : 'Croatian',
	hu : 'Hungarian',
	id : 'Indonesian',
	it : 'Italian',
	ja : 'Japanese',
	ko : 'Korean',
	lv : 'Latvian',
	nl : 'Dutch',
	no : 'Norwegian',
	pl : 'Polish',
	pt : 'Portuguese',
	ro : 'Romanian',
	ru : 'Russian',
	sk : 'Slovakian',
	es : 'Spanish',
	sr : 'Serbian',
	sv : 'Swedish',
	tl : 'Tagalog',
	th : 'Thai',
	tr : 'Turkish',
	uk : 'Ukrainian',
	vi : 'Vietnamese'
};

var languageOptionTrial = {
	de : 'German',
	en : 'English',
	fr : 'French',
	es : 'Spanish',
	th : 'Thai',
};

// Add the language options to the page
var addLanguageOptions = function() {
	// Add language options 
	var languageOption;
	if(isTrial == true)
		languageOption = languageOptionTrial;
	else
		languageOption = languageOptionFull;
	
	// Main screen
	$.each(languageOption, function(val, text) {
		$('#select-language-from').append(
			$('<option></option>').val(val).html(text)
		);
	});
	$("#select-language-from option[value='en']").attr('selected', 'selected');
	
	$.each(languageOption, function(val, text) {
		$('#select-language-to').append(
			$('<option></option>').val(val).html(text)
		);
	});
	$("#select-language-to option[value='es']").attr('selected', 'selected');
	
	// result screen
	$.each(languageOption, function(val, text) {
		$('#select-language-to-result').append(
			$('<option></option>').val(val).html(text)
		);
	});
	
}